Subject: Re: [PATCH v2 00/19] Adds reftable library code from https://github.com/hanwen/reftable.

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Sep 2021 13:34:56 -0700

Carlo Arenas <[email-masked]> writes:

> On Mon, Sep 13, 2021 at 11:30 AM Junio C Hamano <[email-masked]> wrote:
>> Han-Wen Nienhuys <[email-masked]> writes:
>> > The code has a different style because I wrote it separately from Git.
>> > I'm not wedded to its current style, and most styling can easily be
>> > changed. If you have specific things that should be addressed, let me
>> > know.
>>
>> The question was for other reviewers to help us come up with what
>> the "specific things" ought to be.  I saw style differences around
>> comments and code formatting (everything I listed in the footnote,
>> plus, // comment which I forgot to mention) which may or may not
>> turn out to be part of that "specific things", because they do not
>> break compilation.
>
> they will be flagged by the compiler in pedantic mode when in gnu89 mode though
>
>   reftable/stack_test.c:49:1: warning: C++ style comments are not
> allowed in ISO C
> 90
>      49 | // Work linenumber into the tempdir, so we can see which
> tests forget to
>         | ^
>   reftable/stack_test.c:49:1: note: (this will be reported only once
> per input file)
>
> and are probably an easy thing to fix

I guess I still wasn't clear enough, then.  Of course, there is no
question that we do not tolerate compilation-breaking deviation from
our coding guidelines.  The "loosening" exception I was alluding to
were those rules that do not break compilation but help human readers
due to consistent writing.  I do not think

    /* this comment
     * goes against our house style */
    int* a, b;

would be flagged by the gnu89 compiler, for example.